#
# spec file for package dx (Version 4.1.0)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  gpp java libgpp libjpeg libpng libtiff mesa mesa-devel mesasoft openmotif openmotif-devel xf86
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gpp gppshare grep groff gzip java kbd less libgpp libjpeg libpng libtiff libtool libz m4 make man mesa mesa-devel mesasoft mktemp modutils ncurses ncurses-devel net-tools netcfg openmotif openmotif-devel pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim xdevel xf86 xshared

Name:         dx
Version:      4.1.0
Release:      224
Summary:      IBM Open Visualization Data Explorer
Copyright:    IBM PUBLIC LICENSE 
Group:        X11/Applications/Graphics
Provides:     dx
Requires:     mesa lesstif tcsh
Autoreqprov:  on
URL:          http://www.research.ibm.com/dx/
Source1:      http://www.research.ibm.com/dx/srcDownload/srcArchive/dx-%{version}.tar.bz2
Source2:      http://www.research.ibm.com/dx/srcDownload/srcArchive/dxsamples-4.0.tar.bz2
Patch1:       dx-%{version}-1.dif
Patch2:       dx-%{version}-2.dif
Patch3:       dx-%{version}-3.dif
BuildRoot:    /var/tmp/%{name}-BUILD

%description
Open Visualization Data Explorer is a visualization framework that gives
users the ability to apply advanced visualization and analysis
techniques to their data. These techniques can be applied to help users
gain new insights into data from applications in a wide variety of
fields including science, engineering, medicine and business.

Authors:
--------
    (C) COPYRIGHT International Business Machines Corp. 1991-1997

SuSE series: gra

%package doc
Summary:      IBM Open Visualization Data Explorer (documentation)
Group:      X11/Applications/Graphics
Provides:   dxdoc
Requires:   dx
Obsoletes:  dxdoc

%description doc
This package contains the documentation of the IBM Open Visualization Data
Explorer in the HTML format.

Authors:
--------
    (C) COPYRIGHT International Business Machines Corp. 1991-1997

SuSE series: gra

%package data
Version:      4.0
Release:      135
Summary:      IBM Open Visualization Data Explorer (example data)
Group:      X11/Applications/Graphics
Provides:   dxdata
Requires:   dx
Obsoletes:  dxdata

%description data
This package holds some example data for the IBM Open Visualization Data
Explorer.

Authors:
--------
    (C) COPYRIGHT International Business Machines Corp. 1991-1997

SuSE series: gra

%prep
%setup -c -n odx -T -a 1 -a 2
cd dx-4.1.0
%patch1
%patch2
%patch3

%build
cd dx-4.1.0
./configure --prefix=/opt
make CFLAGS="$RPM_OPT_FLAGS" CXXFLAGS="$RPM_OPT_FLAGS -fno-exceptions"
cd ../dxsamples-4.0
./configure --prefix=/opt
make CFLAGS="$RPM_OPT_FLAGS" CXXFLAGS="$RPM_OPT_FLAGS"

%install
cd dx-4.1.0
install -d -m755 ${RPM_BUILD_ROOT}/opt/bin
make install prefix=${RPM_BUILD_ROOT}/opt
cp bin/dx bin/dxworker bin/mdf2c ${RPM_BUILD_ROOT}/opt/dx/bin
chmod +x ${RPM_BUILD_ROOT}/opt/dx/bin/dx
cd ${RPM_BUILD_ROOT}/opt/dx/html/pages
ln -sf ../usrguide.htm
ln -sf ../proguide.htm
ln -sf ../qikguide.htm
ln -sf ../refguide.htm
cd ..
rm -f index.htm index.html
ln -sf allguide.htm index.htm
ln -sf allguide.htm index.html
cd $RPM_BUILD_DIR/odx/dxsamples-4.0
make install prefix=${RPM_BUILD_ROOT}/opt
install -d $RPM_BUILD_ROOT/usr/bin
ln -sf ../../opt/dx/bin/dx $RPM_BUILD_ROOT/usr/bin/dx

%clean
rm -rf ${RPM_BUILD_ROOT}

%files
%doc dx-4.1.0/AUTHORS dx-4.1.0/COPYING dx-4.1.0/ChangeLog
%doc dx-4.1.0/INSTALL dx-4.1.0/LICENSE dx-4.1.0/NEWS dx-4.1.0/README
%doc dx-4.1.0/README.SuSE
/opt/dx/bin/
/opt/dx/bin_linux/
/opt/dx/fonts/
/opt/dx/help/
/opt/dx/include/
/opt/dx/lib/
/opt/dx/lib_linux/
/opt/dx/man/
/opt/dx/ui/
/usr/bin/dx

%files doc
/opt/dx/doc/
/opt/dx/html/

%files data
/opt/dx/samples/

%changelog -n dx
* Wed May 09 2001 - uli@suse.de
- bzipped tarballs
* Tue Apr 17 2001 - kukuk@suse.de
- Remove version macro for subpackage
* Wed Mar 07 2001 - ro@suse.de
- changed neededforbuild <mesadev> to <mesa-devel>
* Fri Dec 15 2000 - smid@suse.cz
- link /usr/bin/dx => ../../opt/dx/bin/dx added
* Wed Nov 29 2000 - smid@suse.cz
- subpackages renamed: dxdoc => dx-doc; dxdata => dx-data
* Tue Nov 21 2000 - ro@suse.de
- use openmotif
* Mon May 22 2000 - smid@suse.cz
- mesadev added to neededforbuild
* Tue Apr 18 2000 - smid@suse.cz
- upgrade to 4.1.0
- buildroot added
* Thu Feb 03 2000 - marquardt@suse.de
- made work around for new axp gcc (added -fno-exceptions to CXXFLAGS)
* Thu Feb 03 2000 - marquardt@suse.de
- splitted the big rpm into binary, data and doc rpms
* Tue Feb 01 2000 - marquardt@suse.de
- fixed some bugs in configure{.in} for compilation on alpha arch
* Tue Jan 25 2000 - uli@suse.de
- fixed A LOT of dirty code gcc-2.95 complains about
* Mon Jan 17 2000 - marquardt@suse.de
- initial release
